"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var map = require("lodash/map");
var React = require("react");
var recompose_1 = require("recompose");
var styled_components_1 = require("styled-components");
var asRendition_1 = require("../asRendition");
var Button_1 = require("./Button");
var Grid_1 = require("./Grid");
var Txt_1 = require("./Txt");
var FlexTab = styled_components_1.default(Grid_1.Flex)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\t", "\n\tborder-style: hidden;\n\tborder-width: 1px;\n\tborder-bottom-style: solid;\n"], ["\n\t",
    "\n\tborder-style: hidden;\n\tborder-width: 1px;\n\tborder-bottom-style: solid;\n"])), function (props) { return "border-bottom: " + props.theme.colors.gray.main + ";\n\t\tborder-color: " + props.theme.colors.gray.main + ";\n\t"; });
var ButtonBase = styled_components_1.default(Button_1.default)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n\tmargin: 4px;\n\tmargin-top: 6px;\n\tmargin-left: 6px;\n\tpadding: 10px;\n\t", "\n"], ["\n\tmargin: 4px;\n\tmargin-top: 6px;\n\tmargin-left: 6px;\n\tpadding: 10px;\n\t",
    "\n"])), function (props) {
    return props.active
        ? "\n\t\tborder-style: solid;\n\t\tborder-width: 1px;\n\t\tborder-color: " + props.theme.colors.gray.main + ";\n\t\tborder-top-right-radius: 4px;\n\t\tborder-top-left-radius: 4px;\n\t\ttransform: translateY(5px);\n\t\tborder-bottom: white;\n\t\tborder-bottom-width: 2px;\n\t\tborder-bottom-style: solid;\n\t\t"
        : "\n\t\ttransform: translateY(4px);\n\t\t";
});
var Tabs = (function (_super) {
    __extends(Tabs, _super);
    function Tabs(props) {
        var _this = _super.call(this, props) || this;
        _this.showTab = function (e) {
            var index = parseInt(e.currentTarget.dataset.index || '', 10);
            _this.setState({ show: index });
        };
        _this.state = {
            show: 0,
        };
        return _this;
    }
    Tabs.prototype.render = function () {
        var _this = this;
        var visibleChild = this.props.children[this.state.show];
        console.log(this.props);
        return (React.createElement(Grid_1.Box, null,
            React.createElement(FlexTab, __assign({ justify: "space-between", mb: 1 }, this.props),
                React.createElement(Grid_1.Flex, null, map(this.props.tabs, function (tab, index) {
                    return (React.createElement(ButtonBase, __assign({ key: index, plaintext: true, active: index === _this.state.show, "data-index": index, mr: 3, onClick: _this.showTab }, _this.props),
                        React.createElement(Txt_1.default, null, tab)));
                })),
                this.props.help),
            visibleChild));
    };
    return Tabs;
}(React.Component));
exports.default = recompose_1.compose(styled_components_1.withTheme, asRendition_1.default)(Tabs);
var templateObject_1, templateObject_2;
